Package io.dapr.exceptions

# Class DaprError

java.lang.Object
io.dapr.exceptions.DaprError

    public class DaprError
    extends java.lang.Object

Represents an error message from Dapr.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DaprError()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getErrorCode()` | Gets the error code.
  `java.lang.String` | `getMessage()` | Gets the error message.
  `DaprError` | `setErrorCode​(java.lang.String errorCode)` | Sets the error code.
  `DaprError` | `setMessage​(java.lang.String message)` | Sets the error message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DaprError

    public DaprError()

- ## Method Details

  - ### getErrorCode

    public java.lang.String getErrorCode()
    Gets the error code.
    Returns:
      Error code.

  - ### setErrorCode

    public DaprError setErrorCode​(java.lang.String errorCode)
    Sets the error code.
    Parameters:
      `errorCode` - Error code.
    Returns:
      This instance.

  - ### getMessage

    public java.lang.String getMessage()
    Gets the error message.
    Returns:
      Error message.

  - ### setMessage

    public DaprError setMessage​(java.lang.String message)
    Sets the error message.
    Parameters:
      `message` - Error message.
    Returns:
      This instance.